#include "DBDAIController.h"
#include "ECharacterMovementTypes.h"
#include "EAIMovementPriority.h"

class UObject;

void ADBDAIController::UseItemRequest(const UObject* requester)
{

}

void ADBDAIController::StruggleRequest(const UObject* requester, float input)
{

}

bool ADBDAIController::SetCharacterMovement(ECharacterMovementTypes movementTypes, const UObject* requester, EAIMovementPriority applyOrder)
{
	return false;
}

void ADBDAIController::Server_SetAIPlayerRank_Implementation(int32 playerRank)
{

}

bool ADBDAIController::Server_SetAIPlayerRank_Validate(int32 playerRank)
{
	return true;
}

void ADBDAIController::SecondAttackRequest(const UObject* requester)
{

}

void ADBDAIController::SecondaryActionRequest(const UObject* requester)
{

}

void ADBDAIController::RunRequest(const UObject* requester)
{

}

void ADBDAIController::InteractRequestRelease(const UObject* requester)
{

}

void ADBDAIController::InteractRequest(const UObject* requester)
{

}

void ADBDAIController::Gesture04Request(const UObject* requester)
{

}

void ADBDAIController::Gesture03Request(const UObject* requester)
{

}

void ADBDAIController::Gesture02Request(const UObject* requester)
{

}

void ADBDAIController::Gesture01Request(const UObject* requester)
{

}

void ADBDAIController::FastInteractRequest(const UObject* requester)
{

}

void ADBDAIController::EventAbilityRequest(const UObject* requester)
{

}

void ADBDAIController::EndUseItemRequest(const UObject* requester)
{

}

void ADBDAIController::EndSecondAttackRequest(const UObject* requester)
{

}

void ADBDAIController::EndRunRequest(const UObject* requester)
{

}

void ADBDAIController::EndInteractRequest(const UObject* requester)
{

}

void ADBDAIController::EndFastInteractRequest(const UObject* requester)
{

}

void ADBDAIController::EndEventAbilityRequest(const UObject* requester)
{

}

void ADBDAIController::EndDropItemRequest(const UObject* requester)
{

}

void ADBDAIController::EndCrouchRequest(const UObject* requester)
{

}

void ADBDAIController::EndActionRequest(const UObject* requester)
{

}

void ADBDAIController::EndAbilityTwoRequest(const UObject* requester)
{

}

void ADBDAIController::DropItemRequest(const UObject* requester)
{

}

void ADBDAIController::CrouchRequest(const UObject* requester)
{

}

void ADBDAIController::CancelMinigameRequest(const UObject* requester)
{

}

void ADBDAIController::AttackRequest(const UObject* requester)
{

}

void ADBDAIController::ActionRequest(const UObject* requester)
{

}

void ADBDAIController::AbilityTwoRequest(const UObject* requester, ECharacterMovementTypes movementMode)
{

}

ADBDAIController::ADBDAIController()
{
	this->DefaultSightRange = 5000.000000;
	this->CloakedTargetSightRange = 1600.000000;
	this->SightSweepTestRadius = 0.000000;
	this->CameraMaxPitchAngle = 90.000000;
	this->CameraMinPitchAngle = 90.000000;
	this->_originalDefaultNavigationFilter = NULL;
}
